%global mod_name ssh-slaves-plugin
%global short_name ssh-slaves
%global plugin_home %{_datadir}/jenkins/webroot/WEB-INF/plugins/

Name:           jenkins-ssh-slaves-plugin
Version:        1.10
Release:        3%{?dist}
Summary:        Jenkins SSH Slaves Plugin

License:        MIT
URL:            https://github.com/jenkinsci/ssh-slaves-plugin
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz
# Taken from src/main/java/hudson/plugins/sshslaves/SSHLauncher.java
Source1:        LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(com.trilead:trilead-ssh2)
BuildRequires:  mvn(org.acegisecurity:acegi-security)
BuildRequires:  mvn(org.jenkins-ci.plugins:credentials)
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.jenkins-ci.plugins:ssh-credentials)
BuildRequires:  mvn(org.jenkins-ci.tools:maven-hpi-plugin)
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)
BuildRequires:  mvn(com.google.code.findbugs:annotations)

BuildArch:      noarch

%description
This packages provides a means to launch Jenkins slaves via SSH.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

cp %{SOURCE1} .

%mvn_file ::hpi:: %{name}/%{short_name}

%build
# tests are disabled because of missing dep (org.jenkins-ci.main:jenkins-test-harness)
%mvn_build -f

%install
install -d -m 755 %{buildroot}/%{plugin_home}
unzip -d target/%{short_name}.hpi-unpacked target/%{short_name}.hpi
pushd target/%{short_name}.hpi-unpacked/WEB-INF/lib/
  rm %{short_name}.jar && ln -s %{_javadir}/%{name}/%{short_name}.jar .
  xmvn-subst -s .
popd
pushd target/%{short_name}.hpi-unpacked/
  zip -y -r %{short_name}.hpi .
popd
mv target/%{short_name}.hpi-unpacked/%{short_name}.hpi target/
cp target/%{short_name}.hpi %{buildroot}/%{plugin_home}/
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%dir %{_mavenpomdir}/%{name}
%{plugin_home}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Thu Feb 18 2016 Michal Srb <msrb@redhat.com> - 1.10-3
- Fix FTBFS (Resolves rhbz#1307659

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Sep 04 2015 Michal Srb <msrb@redhat.com> - 1.10-1
- Update to upstream version 1.10

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Apr 16 2015 Michal Srb <msrb@redhat.com> - 1.9-4
- Migrate to .hpi with symlinks

* Tue Apr 14 2015 Michal Srb <msrb@redhat.com> - 1.9-3
- Rebuild

* Tue Nov 18 2014 Michal Srb <msrb@redhat.com> - 1.9-2
- Rebuild to fix plugin dependencies

* Wed Nov 12 2014 Michal Srb <msrb@redhat.com> - 1.9-1
- Update to upstream version 1.9

* Mon Oct 27 2014 Michal Srb <msrb@redhat.com> - 1.8-1
- Update to upstream version 1.8

* Mon Oct 13 2014 Michal Srb <msrb@redhat.com> - 1.6-4
- This is a core plugin, move it to the correct location

* Fri Oct 03 2014 Michal Srb <msrb@redhat.com> - 1.6-3
- Install as Jenkins plugin

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 02 2014 Michal Srb <msrb@redhat.com> - 1.6-1
- Update to upstream version 1.6

* Fri Nov 08 2013 Michal Srb <msrb@redhat.com> - 1.2-1
- Initial packaging

